#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Evaluation Python année 2016-2017 - énoncé
# 
# Le répertoire [data](https://github.com/sdpython/actuariat_python/tree/master/_doc/notebooks/examen/data) contient deux fichiers csv simulés aléatoirement dont il faudra se servir pour répondre aux 10 questions qui suivent. Chaque question vaut deux points. Le travail est à rendre pour le lundi 20 février sous la forme d'un notebook envoyé en pièce jointe d'un mail.

# ## 1
# 
# Deux fichiers sont extraits de la base de données d'un médecin.
# Un fichier contient des informations sur des personnes, un autre
# sur les rendez-vous pris par ces personnes. Quels sont-ils ?

# In[1]:





# ## 2
# 
# On souhaite étudier la relation entre le prix moyen payé par une personne,
# son âge et son genre. Calculer le prix moyen payé par une personne ?

# In[2]:





# ## 3
# 
# Faire la jointure entre les deux tables.

# In[3]:





# ## 4
# 
# Tracer deux nuages de points (age, prix moyen) et (genre, prix moyen) ?

# In[4]:





# ## 5
# 
# Calculer les coefficients de la régression $prix\_moyen \sim age + genre$.

# In[5]:





# ## 6
# 
# On souhaite étudier le prix d'une consultation en fonction du jour de la semaine.
# Ajouter une colonne dans la table de votre choix avec le jour de la semaine.

# In[6]:





# ## 7
# 
# Créer un graphe moustache qui permet de vérifier cette hypothèse.

# In[7]:





# ## 8
# 
# Ajouter une colonne dans la table de votre choix qui contient 365 si c'est le premier rendez-vous, le nombre de jour écoulés depuis le précédent rendez-vous. On appelle cette colonne $delay$. On ajoute également la colonne $1/delay$.

# In[8]:





# ## 9 
# 
# Calculer les coefficients de la régression $prix \sim age + genre + delay + 1/delay + jour\_semaine$.
# 

# In[9]:





# ## 10
# 
# Comment comparer ce modèle avec le précédent ? Implémentez le calcul qui vous permet de répondre à cette question.

# In[10]: